# jremove

Remove a Java Object on the Java side

## Calling Sequence

                jremove()
                jremove(varName_1 [, varName_2, ...])
                jremove varName_1 [varName_2 ...]
                jremove(object_1 [, object_2 ...])

## Parameters

varName_i

  A string giving the variable name

object_i

  A mlist typed _JObj or _JClass.

## Description

If no argument are given to jremove, then all the variables are removed on the Java side and garbage collection is called.

Else the corresponding variable is removed on the Java side.

## Examples

                   jimport java.lang.String;

                   s = String.new("Hello world");
                   jremove s;

## See Also

- jexists

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.